#!/bin/bash
[ -e /etc/eole/config.eol ] && . /usr/bin/ParseDico
. /usr/share/eole/FonctionsEoleNg
. /etc/eole/containers.conf

NAME=$1
NET=$2
ROOTLXC=/var/lib/lxc
ROOTFS=$ROOTLXC/$NAME/rootfs

[ "$NAME" = "" ] && EchoRouge "Pas d'option" && exit 1
[ ! -d $ROOTFS ] && EchoRouge "Pas de répertoire" && exit 1

if [ ! -d $ROOTFS/etc/ssl ]; then
    mkdir -p $ROOTFS/etc/ssl/
fi

cp -a /etc/ssl/* $ROOTFS/etc/ssl/
cp -a /sbin/restart-wrapper $ROOTFS/sbin/restart-wrapper

if [ ! "$container_ip_dns" = "" ]; then
    echo "nameserver $container_ip_dns" > $ROOTFS/etc/resolv.conf
    [ ! "$nom_domaine_local" = "" ] && echo "search $nom_domaine_local" >> $ROOTFS/etc/resolv.conf
else
    [ -e /etc/resolv.conf ] && cp -f /etc/resolv.conf $ROOTFS/etc/resolv.conf
fi

cp -f /etc/timezone $ROOTFS/etc/
cp -f /etc/localtime $ROOTFS/etc/

mkdir -p $ROOTFS/etc/eole
cp -f /etc/eole/network_containers.conf $ROOTFS/etc/eole

#Copie de la conf de ssh
mkdir -p $ROOTFS/etc/ssh/
cp -f /usr/share/eole/lxc/sshd_config $ROOTFS/etc/ssh/sshd_config

# correction de rsyslog.conf (inutile pour une nouvelle installation #3588)
sed -i 's/^$ModLoad imklog/#$ModLoad imklog/' $ROOTFS/etc/rsyslog.conf
sed -i 's/^$KLogPath/#$KLogPath/' $ROOTFS/etc/rsyslog.conf


# suppression du default de rsyslog (#3401)
rm -f $ROOTFS/etc/rsyslog.d/50-default.conf
rm -f $ROOTFS/etc/rsyslog.d/00-aggregation.conf
if [ -f /var/lib/eole/00-conteneur.conf ];then
    # copie de 00-conteneur.conf (renommé 00-aggregation.conf) (#3417)
    cp -f /var/lib/eole/00-conteneur.conf $ROOTFS/etc/rsyslog.d/99-aggregation.conf
    # prise en compte des configurations rsyslog (#3436)
    RunCmd "service rsyslog restart >/dev/null" $NAME
fi
# création du répertoire pour les files de rsyslog en conteneur (#5276)
if [ -d /var/log/rsyslog_queues ]; then
    mkdir $ROOTFS/var/log/rsyslog_queues
    chown syslog:syslog $ROOTFS/var/log/rsyslog_queues
fi
#No error in startup (#2096)
NEVER_STARTUP='description    "Never start"\n\nstart on runlevel never'
echo -e $NEVER_STARTUP > $ROOTFS/etc/init/hwclock-save.conf
echo -e $NEVER_STARTUP > $ROOTFS/etc/init/plymouth.conf
echo -e $NEVER_STARTUP > $ROOTFS/etc/init/plymouth-log.conf

exit 0
